Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.phoenix
Class InstantiatorPermission

    java.lang.Object
      java.security.Permission
          net.jini.security.AccessPermission
              com.sun.jini.phoenix.InstantiatorPermission

All Implemented Interfaces:
  Guard, Serializable

public final class InstantiatorPermission
extends AccessPermission

Represents permissions that can be used to express the access control policy for the `ActivationInstantiator` remote object exported with `BasicJeriExporter`. This class can be passed to `BasicInvocationDispatcher`, and then used in security policy permission grants.

An instance contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't. The convention is that the target name is the fully qualified name of the remote method being invoked. Wildcard matches are supported using the syntax specified by `AccessPermission`.

The possible target names for the activation instantiator are:

Permission Target Name | What the Permission Allows | Risks of Allowing this Permission
--- | --- | ---
java.rmi.activation.ActivationInstantiator.newInstance | invoking `ActivationInstantiator.newInstance` | The caller can inject a new object into the activation group if it knows the activation group identifier.

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`InstantiatorPermission(String name)` Creates an instance with the specified name.

Methods inherited from class net.jini.security.AccessPermission
`equals, getActions, hashCode, implies`

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstantiatorPermission

    public InstantiatorPermission(String name)

  Creates an instance with the specified name.

Parameters:
  `name` - the target name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved